> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 设置实时“搜索量”任务

> 此端点将提供上个月的搜索量数据，以及最多过去 24 个月的搜索量趋势（可用于估算搜索量...



## OpenAPI

````yaml openapi/zh/dataforseo.json POST /dataforseo/keywords_data/bing/search_volume/live
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/keywords_data/bing/search_volume/live:
    post:
      summary: 设置实时“搜索量”任务
      description: 此端点将提供上个月的搜索量数据、过去最多 24 个月的搜索量趋势（可用于估算搜索量变化趋势），以及付费搜索当前的每次点击费用和竞争程度值。
      operationId: post_dataforseo_keywords_data_bing_search_volume_live
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                keywords:
                  type: array
                  items:
                    type: string
                  description: >-
                    keywords，必填字段。最多可以指定 1000 个关键词。每个关键词最多包含 100
                    个字符。指定的关键词将转换为小写，数据将在单独的数组中提供。有关 DataForSEO API 中 keyword 和
                    keywords 字段的规则与限制，请参阅此帮助中心文章
                location_name:
                  type: string
                  description: >-
                    搜索引擎位置的完整名称。如果未指定 location_code 或
                    location_coordinate，则此字段为必填字段。如果使用此字段，则无需指定 location_code 或
                    location_coordinate。您可以单独请求
                    https://api.dataforseo.com/v3/keywords_data/bing/locations，获取搜索引擎的可用位置及其
                    location_name 列表。示例：London,England,United Kingdom
                location_code:
                  type: integer
                  description: >-
                    搜索引擎位置代码。如果未指定 location_name 或
                    location_coordinate，则为必填字段。如果使用此字段，则无需指定 location_name 或
                    location_coordinate。可通过向
                    https://api.dataforseo.com/v3/keywords_data/bing/locations
                    单独发送请求，获取搜索引擎的可用位置及其 location_code。示例：2840
                location_coordinate:
                  type: string
                  description: >-
                    位置的 GPS 坐标；如果未指定 location_name 或
                    location_code，则为必填字段；如果使用此字段，则无需指定 location_name 或
                    location_code；location_coordinate
                    参数应采用“latitude,longitude”格式；将提供指定坐标所属国家/地区的数据；示例：52.6178549,-155.352142
                language_name:
                  type: string
                  description: >-
                    搜索引擎语言的全名。如果未指定 language_code，则此字段为必填字段。如果使用此字段，则无需指定
                    language_code。支持的语言：英语、法语、德语
                language_code:
                  type: string
                  description: >-
                    搜索引擎语言代码。如果未指定 language_name，则此字段为必填字段；如果使用此字段，则无需指定
                    language_name。支持的语言：en、fr、de
                device:
                  type: string
                  description: >-
                    设备类型，可选字段。如果要获取特定设备类型的数据，请指定此字段；可能的值：all、mobile、desktop、tablet；默认值：all
                sort_by:
                  type: string
                  description: >-
                    结果排序参数，可选字段。使用这些参数可按 search_volume、cpc、competition 或
                    relevance 对结果进行降序排序。默认值：relevance
                date_from:
                  type: string
                  description: >-
                    时间范围的开始日期 可选字段 最小值：距今天日期 24 个月 如果未指定此字段，将提供过去 12 个月的数据
                    最小值：距今天日期两年前 日期格式："yyyy-mm-dd" 示例："2020-01-01"
                    注意：不建议为过去一年的日期使用自定义时间范围
                date_to:
                  type: string
                  description: >-
                    时间范围的结束日期。可选字段。如果不指定此字段，将提供过去 12
                    个月的数据；最小值：自今天起向前两年；最大值：自今天起一个月；注意：不建议对过去一年的日期使用自定义时间范围；日期格式："yyyy-mm-dd"；示例："2020-03-15"。注意：不建议对过去一年的日期使用自定义时间范围
                search_partners:
                  type: boolean
                  description: >-
                    Bing 搜索合作伙伴类型，可选字段。如果指定 true，则会返回 Bing、Yahoo、AOL
                    的自有、运营及联合网络，以及托管 Bing、AOL 和 Yahoo 搜索的合作伙伴网站的结果。默认值：false –
                    返回 Bing、AOL 和 Yahoo 搜索网络的结果
                tag:
                  type: string
                  description: >-
                    用户定义的任务标识符。可选字段。字符数限制为 255。您可以使用此参数标识任务并将其与结果匹配；您将在响应的 data
                    对象中找到指定的 tag 值
              required:
                - keywords
                - location_name
                - location_code
                - location_coordinate
                - language_name
                - language_code
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: API 的当前版本
                  status_code:
                    type: integer
                    description: 通用状态码；您可以在此处查看完整的响应码列表。注意：我们强烈建议设计必要的系统来处理相关异常或错误情况
                  status_message:
                    type: string
                    description: 常规信息消息；可在此处查看常规信息消息的完整列表
                  time:
                    type: string
                    description: 执行时间（秒）
                  cost:
                    type: number
                    description: 任务总成本（美元）
                  tasks_count:
                    type: integer
                    description: tasks 数组中的任务数量
                  tasks_error:
                    type: integer
                    description: 返回错误的 tasks 数组中的任务数量
                  tasks:
                    type: array
                    items:
                      type: string
                    description: 任务数组
                  tasks.id:
                    type: string
                    description: 任务标识符，系统中采用 UUID 格式的唯一任务标识符
                  tasks.status_code:
                    type: integer
                    description: DataForSEO 生成的任务状态码；取值范围为：10000-60000，完整的响应码列表可在此处查看
                  tasks.status_message:
                    type: string
                    description: 任务的信息性消息，你可以在此处查看通用信息性消息的完整列表
                  tasks.time:
                    type: string
                    description: 执行时间（秒）
                  tasks.cost:
                    type: number
                    description: 任务成本（美元）
                  tasks.result_count:
                    type: integer
                    description: 结果数组中的元素数量
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: URL 路径
                  tasks.data:
                    type: object
                    description: 包含您在 POST 请求中指定的相同参数
                  tasks.result:
                    type: array
                    items:
                      type: string
                    description: 结果数组
                  tasks.result.keyword:
                    type: string
                    description: POST 数组中的关键词
                  tasks.result.location_code:
                    type: integer
                    description: POST 数组中的位置代码；如果没有数据，则值为 null
                  tasks.result.language_code:
                    type: string
                    description: POST 数组中的语言代码；如果没有数据，则值为 null
                  tasks.result.search_partners:
                    type: boolean
                    description: 指示响应中是否包含来自合作伙伴网络的数据
                  tasks.result.device:
                    type: string
                    description: POST 数组中的设备类型；如果没有数据，则值为 null
                  tasks.result.competition:
                    type: number
                    description: >-
                      competition 表示给定关键词在付费 SERP 中的相对竞争程度。此值基于 Bing Ads
                      数据。可用值：0.1、0.5、0.9。0.1 – 低竞争，0.5 – 中等竞争，0.9 –
                      高竞争；如果没有数据，该值为 null
                  tasks.result.cpc:
                    type: number
                    description: 每次点击费用表示该关键词历史上平均每次点击支付的费用（USD）。如果没有数据，则值为 null
                  tasks.result.search_volume:
                    type: integer
                    description: >-
                      月均搜索量表示根据用户的定向条件，在 Bing
                      搜索引擎上搜索给定关键词创意的（近似）次数；搜索量四舍五入至最接近的十位数；如果没有数据，则值为 null
                  tasks.result.categories:
                    type: array
                    items:
                      type: string
                    description: 产品和服务类别。我们的 API 不会为此端点返回类别：该参数将始终等于 null
                  tasks.result.monthly_searches:
                    type: array
                    items:
                      type: string
                    description: >-
                      月度搜索量表示此关键词创意的（近似）搜索次数（提供过去十二个月的数据），并以指定的地理位置为目标。如果没有数据，则值为
                      null
                  tasks.result.monthly_searches.year:
                    type: integer
                    description: 年
                  tasks.result.monthly_searches.month:
                    type: integer
                    description: 月
                  tasks.result.monthly_searches.search_volume:
                    type: integer
                    description: 月均搜索量；搜索量四舍五入到最接近的十位数
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````